curl --request POST \
--url https://api.example.com/{connector_id}/app_info \
--header 'Content-Type: application/json' \
--data '
{
"request": {},
"include_raw_data": true,
"page": {
"token": "<string>",
"size": 123
},
"settings": {},
"auth": {
"id": "some_unique_id"
},
"credentials": [
{
"id": "some_unique_id"
}
]
}
'import requests
url = "https://api.example.com/{connector_id}/app_info"
payload = {
"request": {},
"include_raw_data": True,
"page": {
"token": "<string>",
"size": 123
},
"settings": {},
"auth": { "id": "some_unique_id" },
"credentials": [{ "id": "some_unique_id" }]
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
request: {},
include_raw_data: true,
page: {token: '<string>', size: 123},
settings: {},
auth: {id: 'some_unique_id'},
credentials: [{id: 'some_unique_id'}]
})
};
fetch('https://api.example.com/{connector_id}/app_info', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/{connector_id}/app_info",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'request' => [
],
'include_raw_data' => true,
'page' => [
'token' => '<string>',
'size' => 123
],
'settings' => [
],
'auth' => [
'id' => 'some_unique_id'
],
'credentials' => [
[
'id' => 'some_unique_id'
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/{connector_id}/app_info"
payload := strings.NewReader("{\n \"request\": {},\n \"include_raw_data\": true,\n \"page\": {\n \"token\": \"<string>\",\n \"size\": 123\n },\n \"settings\": {},\n \"auth\": {\n \"id\": \"some_unique_id\"\n },\n \"credentials\": [\n {\n \"id\": \"some_unique_id\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/{connector_id}/app_info")
.header("Content-Type", "application/json")
.body("{\n \"request\": {},\n \"include_raw_data\": true,\n \"page\": {\n \"token\": \"<string>\",\n \"size\": 123\n },\n \"settings\": {},\n \"auth\": {\n \"id\": \"some_unique_id\"\n },\n \"credentials\": [\n {\n \"id\": \"some_unique_id\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/{connector_id}/app_info")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"request\": {},\n \"include_raw_data\": true,\n \"page\": {\n \"token\": \"<string>\",\n \"size\": 123\n },\n \"settings\": {},\n \"auth\": {\n \"id\": \"some_unique_id\"\n },\n \"credentials\": [\n {\n \"id\": \"some_unique_id\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"response": {
"app_id": "o365",
"app_schema": {
"openapi": "3.1.0",
"servers": [],
"paths": {},
"components": {
"schemas": {},
"securitySchemes": {},
"parameters": {},
"responses": {},
"examples": {}
}
}
},
"raw_data": "<unknown>",
"page": {
"token": "<string>",
"size": 123
}
}/{connector_id}/app_info
Info capability that can be mutated based on its input, eg. the apps authentication parameters and settings. Returns basic information and the OAS specification of the particular app.
This operation is currently used in:
- http-server /docs and /redoc endpoints
- CI/CD actions like OASDiff
In the future, this can be used for:
- Connected info
- Schema validation, type safety, etc.
- In place of the static info
curl --request POST \
--url https://api.example.com/{connector_id}/app_info \
--header 'Content-Type: application/json' \
--data '
{
"request": {},
"include_raw_data": true,
"page": {
"token": "<string>",
"size": 123
},
"settings": {},
"auth": {
"id": "some_unique_id"
},
"credentials": [
{
"id": "some_unique_id"
}
]
}
'import requests
url = "https://api.example.com/{connector_id}/app_info"
payload = {
"request": {},
"include_raw_data": True,
"page": {
"token": "<string>",
"size": 123
},
"settings": {},
"auth": { "id": "some_unique_id" },
"credentials": [{ "id": "some_unique_id" }]
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
request: {},
include_raw_data: true,
page: {token: '<string>', size: 123},
settings: {},
auth: {id: 'some_unique_id'},
credentials: [{id: 'some_unique_id'}]
})
};
fetch('https://api.example.com/{connector_id}/app_info', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/{connector_id}/app_info",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'request' => [
],
'include_raw_data' => true,
'page' => [
'token' => '<string>',
'size' => 123
],
'settings' => [
],
'auth' => [
'id' => 'some_unique_id'
],
'credentials' => [
[
'id' => 'some_unique_id'
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/{connector_id}/app_info"
payload := strings.NewReader("{\n \"request\": {},\n \"include_raw_data\": true,\n \"page\": {\n \"token\": \"<string>\",\n \"size\": 123\n },\n \"settings\": {},\n \"auth\": {\n \"id\": \"some_unique_id\"\n },\n \"credentials\": [\n {\n \"id\": \"some_unique_id\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/{connector_id}/app_info")
.header("Content-Type", "application/json")
.body("{\n \"request\": {},\n \"include_raw_data\": true,\n \"page\": {\n \"token\": \"<string>\",\n \"size\": 123\n },\n \"settings\": {},\n \"auth\": {\n \"id\": \"some_unique_id\"\n },\n \"credentials\": [\n {\n \"id\": \"some_unique_id\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/{connector_id}/app_info")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"request\": {},\n \"include_raw_data\": true,\n \"page\": {\n \"token\": \"<string>\",\n \"size\": 123\n },\n \"settings\": {},\n \"auth\": {\n \"id\": \"some_unique_id\"\n },\n \"credentials\": [\n {\n \"id\": \"some_unique_id\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"response": {
"app_id": "o365",
"app_schema": {
"openapi": "3.1.0",
"servers": [],
"paths": {},
"components": {
"schemas": {},
"securitySchemes": {},
"parameters": {},
"responses": {},
"examples": {}
}
}
},
"raw_data": "<unknown>",
"page": {
"token": "<string>",
"size": 123
}
}Path Parameters
Body
Optionally authenticated app_info request. Used for the app_info capability to optionally supply a authentication model.
The main request payload.
Whether to include raw data in the response.
Pagination information for the request.
Show child attributes
Show child attributes
Connector-specific settings for the request.
These are settings that are shared across all capabilities.
Usually contain additional required configuration options not specified by the capability schema.
Show child attributes
Show child attributes
The authentication credentials for the request.
Show child attributes
Show child attributes
Show child attributes
Show child attributes